Skip to main content
POST
/
scanners
/
{scanner_uid}
/
test
Test Scanner Notification
curl --request POST \
  --url https://oathnet.org/api/scanners/{scanner_uid}/test \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "notification_type": "<string>",
  "target": "<string>",
  "status_code": 123,
  "message": "<string>",
  "preview": {
    "event_name": "<string>",
    "search_url": "<string>",
    "security_mode": "<string>",
    "verification_method": "<string>",
    "authorization_scheme": "<string>",
    "encryption_enabled": true,
    "header_names": [
      "<string>"
    ],
    "body_kind": "<string>",
    "body_example": {}
  },
  "generated_webhook_secret": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oathnet.org/llms.txt

Use this file to discover all available pages before exploring further.

Send a real test notification for an existing scanner.

Authorizations

x-api-key
string
header
required

API key for authentication (lowercase header name)

Path Parameters

scanner_uid
string
required

Response

200 - application/json

Raw test-notification response

success
boolean
notification_type
string
target
string
status_code
integer
message
string
preview
object
generated_webhook_secret
string